
Name: xforms
Version: 1.0
Release: alt1

Summary: A GUI toolkit based on Xlib for the X Window System
Group: Development/Other
License: LGPL

Url: http://world.std.com/~xforms

BuildConflicts: %name

Source: http://savannah.nongnu.org/download/xforms/stable.pkg/%version/%name-%version.tar.bz2
Patch: xforms-1.0-mdk-makefile.patch

# Automatically added by buildreq on Fri Oct 17 2003
BuildRequires: XFree86-devel libjpeg-devel xpm-devel

%description
XForms GUI library


%package -n lib%name
Summary: A GUI toolkit based on Xlib for the X Window System
Group: Development/Other
Provides: %name = %version
Obsoletes: %name

%description -n lib%name
XForms features a rich set of objects (like buttons, sliders,
and menus) integrated into an easy and efficient object/event callback
execution model, allowing for fast and easy construction of X applications.
The library is extensible--new objects can easily be created and added.

If you're installing xforms, you may want to also install xforms-devel,
which is a near-WYSIWYG GUI builder which works with XForms.

%package -n lib%name-demos
Group: Development/Other
Summary: XForms demonstration programs
Provides: %name-demos = %version
Obsoletes: %name-demos
Requires: lib%name = %version-%release

%description -n lib%name-demos
Xforms-demos includes the full source code to 50+ demonstration
programs.  If you plan on using XForms and you aren't an expert, you should
download xforms-demos and take a look at them.

%package -n lib%name-devel
Group: Development/Other
Summary: An XForms GUI builder and other development stuff
Provides: %name-devel = %version
Obsoletes: %name-devel
Requires: lib%name = %version-%release

%description -n lib%name-devel
Xforms-devel is a near-WYSIWYG GUI builder that can be used to
design your UI and write the corresponding C code for you.  If you're
installing xforms, you may want to also install xforms-devel.  If you want
to install xforms-devel, you must also install xforms.

%package -n lib%name-devel-static
Group: Development/Other
Summary: Static Libraries for lib%name
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static Libraries for lib%name

%prep
%setup -q
%patch -p1

%__subst 's,^\#define StaticLink.*,#define StaticLink NO,' Imakefile
%__subst 's,^#define BuildDemos.*,#define BuildDemos YES,' Imakefile

%build
(unset RPM_OPT_FLAGS; xmkmf -a)
make CDEBUGFLAGS="$RPM_OPT_FLAGS" REQUIREDLIBS="-L%_x11libdir -lGL -ljpeg -lXpm" USRLIBDIR=%_x11libdir

%install
make DESTDIR="$RPM_BUILD_ROOT" \
     SHLIBDIR=%_x11libdir \
     USRLIBDIR=%_x11libdir \
     INCDIR=%_x11includedir \
     BINDIR=%_x11bindir\
     install

install -d $RPM_BUILD_ROOT%_mandir/man{1,5}
install -pm644 lib/xforms.man $RPM_BUILD_ROOT%_mandir/man5/xforms.5
install -pm644 fd2ps/fd2ps.man $RPM_BUILD_ROOT%_mandir/man1/fd2ps.1
install -pm644 fdesign/fdesign.man $RPM_BUILD_ROOT%_mandir/man1/fdesign.1

#install additional demo progs
pushd demos
    for i in *
    do
	[ -d $i ] && continue
	[ -x $i ] && install -pm755 $i $RPM_BUILD_ROOT%_x11bindir
    done
popd

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files -n lib%name
%doc  Changes *README*
%_x11bindir/fd2ps
%_x11libdir/*.so.*
%_man1dir/fd2ps.*
%_man5dir/*

%files -n lib%name-demos
%_x11bindir/*
%exclude %_x11bindir/fd2ps
%exclude %_x11bindir/fdesign

%files -n lib%name-devel
%_x11bindir/fdesign
%_x11includedir/*/*
%_x11libdir/*.so
%_man1dir/fdesign.*

%files -n lib%name-devel-static
%_x11libdir/*.a

%changelog
* Fri Oct 17 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt1
- final

* Mon Oct 28 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt0.2RC5.2
- RC5

* Mon Oct 28 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt0.2RC4
- fix paths

* Mon Sep 23 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt0.1RC4
- 1.0 RC4
- spec cleanup
- libification

* Mon Jun 18 2001 AEN <aen@logic.ru> 0.88.1-ipl5mdk
- Requires fixed
* Fri Jun 16 2001 AEN <aen@logic.ru> 0.88.1-ipl4mdk
- Group fixed (bug #24)

* Mon Dec 04 2000 AEN <aen@logic.ru>
- rebuild for 7.2RE

* Tue Nov 9 1999 AEN <aen@logic.ru>
- bzipped man-pages
- built for RE

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- Build from (non-distributable) source.

* Thu Oct 06 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file
- built for 5.2

* Thu May 14 1998 Michael Maher <mike@redhat.com>
- inspected package and buildroots.

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- fixed fdesign being a directory
- moved fdesign to devel package,
- fixed broken symlink from libforms.so to libforms.so.0.88

* Mon Dec  8 1997 Otto Hammersmith <otto@redhat.com>
- fixed alpha library dependency problems.

* Sun Dec  7 1997 Otto Hammersmith <otto@redhat.com>
- add provides for the .81 libs

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- buildrooted

* Wed Nov 19 1997 Otto Hammersmith <otto@redhat.com>
- updated to 0.88

* Tue Apr 8 1997 Michael Fulbright <msf@redhat.com>
Updated package to version 0.86.
